org.labkey.remoteapi.security

## Class GetUsersResponse

- java.lang.Object
- - org.labkey.remoteapi.CommandResponse
  - - org.labkey.remoteapi.security.GetUsersResponse

-     public class GetUsersResponse
      extends CommandResponse

  The result of a GetUsersCommand request. User: jeckels Date: Jan 26, 2010

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GetUsersResponse.UserInfo` Information about a single user that matched the request

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetUsersResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, GetUsersCommand sourceCommand)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContainerPath()`
    `java.util.List<GetUsersResponse.UserInfo>` | `getUsersInfo()`

    - ### Methods inherited from class org.labkey.remoteapi.CommandResponse

      `findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetUsersResponse

          public GetUsersResponse(java.lang.String text,
                                  int statusCode,
                                  java.lang.String contentType,
                                  org.json.simple.JSONObject json,
                                  GetUsersCommand sourceCommand)

  - ### Method Detail

    - #### getUsersInfo

          public java.util.List<GetUsersResponse.UserInfo> getUsersInfo()

      Returns:
        the users that matched the request

    - #### getContainerPath

          public java.lang.String getContainerPath()

      Returns:
        the path of the requested container